IOSS 2.0

Classes | Functions | Variables
anonymous_namespace{cth_pressure_map.C} Namespace Reference

## Classes
struct | Globals

## Functions
void | show_usage (const std::string &prog, bool add_sset)
void | show_step (int istep, double time)
void | transfer_nodeblock (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | transfer_elementblock (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | transfer_nodesets (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | transfer_sidesets (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | transfer_commsets (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | add_sideset (Ioss::Region &ss_region, Ioss::Region &region, Ioss::Region &output_region, Globals &globals)
void | add_sideset_mesh_fields (Ioss::Region &ss_region, Ioss::Region &region, Ioss::Region &output_region, Globals &globals)
void | add_sideset_transient_fields (Ioss::Region &ss_region, Ioss::Region &region, Ioss::Region &output_region, Globals &globals)
void | transfer_sideset_field_data (Ioss::Region &ss_region, Ioss::Region &region, Ioss::Region &output_region, Globals &globals)
void | transfer_fields (Ioss::GroupingEntity *ige, Ioss::GroupingEntity *oge, Ioss::Field::RoleType role, const std::string &prefix="")
void | transfer_field_data (Ioss::GroupingEntity *ige, Ioss::GroupingEntity *oge, Ioss::Field::RoleType role, const std::string &prefix="", bool transfer_connectivity=true)
void | transfer_properties (Ioss::GroupingEntity *ige, Ioss::GroupingEntity *oge)
void | output_normals (Ioss::Region &region, Ioss::Region &output_region, bool reverse_normals)
void | calculate_normals (std::vector< double > &node_normal, std::vector< double > &face_normal, int num_elem, int num_node_per_elem, std::vector< double > &coord, std::vector< int > &conn, bool reverse_normals)
void | transfer_field_data_internal (Ioss::GroupingEntity *ige, Ioss::GroupingEntity *oge, const std::string &field_name)
void | file_copy (const std::string &inpfile, const std::string &input_type, const std::string &outfile, const std::string &output_type, const std::string &ss_file, Globals &globals)

## Variables
std::vector< char > | data
std::string | codename
std::string | version = "$Revision$"

## Function Documentation

## ◆ add_sideset()

void anonymous_namespace{cth_pressure_map.C}::add_sideset | ( | Ioss::Region & | ss_region,
|  | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | Globals & | globals
| ) |  |

## ◆ add_sideset_mesh_fields()

void anonymous_namespace{cth_pressure_map.C}::add_sideset_mesh_fields | ( | Ioss::Region & | ss_region,
|  | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | Globals & | globals
| ) |  |

## ◆ add_sideset_transient_fields()

void anonymous_namespace{cth_pressure_map.C}::add_sideset_transient_fields | ( | Ioss::Region & | ss_region,
|  | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | Globals & | globals
| ) |  |

## ◆ calculate_normals()

void anonymous_namespace{cth_pressure_map.C}::calculate_normals | ( | std::vector< double > & | node_normal,
|  | std::vector< double > & | face_normal,
|  | int | num_elem,
|  | int | num_node_per_elem,
|  | std::vector< double > & | coord,
|  | std::vector< int > & | conn,
|  | bool | reverse_normals
| ) |  |

## ◆ file_copy()

void anonymous_namespace{cth_pressure_map.C}::file_copy | ( | const std::string & | inpfile,
|  | const std::string & | input_type,
|  | const std::string & | outfile,
|  | const std::string & | output_type,
|  | const std::string & | ss_file,
|  | Globals & | globals
| ) |  |

## ◆ output_normals()

void anonymous_namespace{cth_pressure_map.C}::output_normals | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | bool | reverse_normals
| ) |  |

## ◆ show_step()

void anonymous_namespace{cth_pressure_map.C}::show_step | ( | int | istep,
|  | double | time
| ) |  |

## ◆ show_usage()

void anonymous_namespace{cth_pressure_map.C}::show_usage | ( | const std::string & | prog,
|  | bool | add_sset
| ) |  |

## ◆ transfer_commsets()

void anonymous_namespace{cth_pressure_map.C}::transfer_commsets | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | bool | debug
| ) |  |

## ◆ transfer_elementblock()

void anonymous_namespace{cth_pressure_map.C}::transfer_elementblock | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | bool | debug
| ) |  |

## ◆ transfer_field_data()

void anonymous_namespace{cth_pressure_map.C}::transfer_field_data | ( | Ioss::GroupingEntity * | ige,
|  | Ioss::GroupingEntity * | oge,
|  | Ioss::Field::RoleType | role,
|  | const std::string & | prefix = `""`,
|  | bool | transfer_connectivity = `true`
| ) |  |

## ◆ transfer_field_data_internal()

void anonymous_namespace{cth_pressure_map.C}::transfer_field_data_internal | ( | Ioss::GroupingEntity * | ige,
|  | Ioss::GroupingEntity * | oge,
|  | const std::string & | field_name
| ) |  |

## ◆ transfer_fields()

void anonymous_namespace{cth_pressure_map.C}::transfer_fields | ( | Ioss::GroupingEntity * | ige,
|  | Ioss::GroupingEntity * | oge,
|  | Ioss::Field::RoleType | role,
|  | const std::string & | prefix = `""`
| ) |  |

## ◆ transfer_nodeblock()

void anonymous_namespace{cth_pressure_map.C}::transfer_nodeblock | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | bool | debug
| ) |  |

## ◆ transfer_nodesets()

void anonymous_namespace{cth_pressure_map.C}::transfer_nodesets | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | bool | debug
| ) |  |

## ◆ transfer_properties()

void anonymous_namespace{cth_pressure_map.C}::transfer_properties | ( | Ioss::GroupingEntity * | ige,
|  | Ioss::GroupingEntity * | oge
| ) |  |

## ◆ transfer_sideset_field_data()

void anonymous_namespace{cth_pressure_map.C}::transfer_sideset_field_data | ( | Ioss::Region & | ss_region,
|  | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | Globals & | globals
| ) |  |

## ◆ transfer_sidesets()

void anonymous_namespace{cth_pressure_map.C}::transfer_sidesets | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | bool | debug
| ) |  |

## Variable Documentation

## ◆ codename

std::string anonymous_namespace{cth_pressure_map.C}::codename

## ◆ data

std::vector<char> anonymous_namespace{cth_pressure_map.C}::data

## ◆ version

std::string anonymous_namespace{cth_pressure_map.C}::version = "$Revision$"